R4i SDHC "Chrismas version" not working on DSi

Discussion in 'R4 DS' started by pbsds, Aug 21, 2010.

Aug 21, 2010
  1. pbsds
    OP

    Newcomer pbsds Member

    Joined:
    Sep 16, 2009
    Messages:
    45
    Location:
    Røros
    Country:
    Norway
    I have installed kernel version 1.25b.
    It works on my DS PHAT, but not on the DSi...
    When i start it, it says "Please upgrade the hardware for support latest firmware."
    ...
    help?
     
  2. pjmorie

    Member pjmorie GBAtemp Regular

    Joined:
    Dec 10, 2009
    Messages:
    141
    Country:
    Ireland
    If your card is an R4i-SDHC (has www.r4i-sdhc.com written on it) then there are two types of these, one compatable with DSi on firmware version 1.4 (has 1.4 in yellow written on the card) and those which are not. Your DSi is most likely on firmware version 1.4 and your card is not compatable with it. Check what firmware your DSi is on.
     
  3. pbsds
    OP

    Newcomer pbsds Member

    Joined:
    Sep 16, 2009
    Messages:
    45
    Location:
    Røros
    Country:
    Norway
    My DSi is on v1.4E and the card says it supports it...
    The reason i'm asking here is because i can't find the answer to this any other places!
     
  4. pjmorie

    Member pjmorie GBAtemp Regular

    Joined:
    Dec 10, 2009
    Messages:
    141
    Country:
    Ireland
    Is the 1.25b kernel your using compatable with the 1.4 DSi firmware?
    Is the card like those shown on www.r4i-sdhc.com?
    Did the card work in your DSi before you installed the 1.25b kernal and if so what kernal was on it before you updated?
     
  5. pbsds
    OP

    Newcomer pbsds Member

    Joined:
    Sep 16, 2009
    Messages:
    45
    Location:
    Røros
    Country:
    Norway
    1.25b is the newest kernel, and it works on the DS PHAT/Original.
    But on the card, it says: "WWW.R4ISDHC.COM" and the newest revision there is 1.14b, but when using that, it says "System date error! Please check NDS system date."
     
  6. pjmorie

    Member pjmorie GBAtemp Regular

    Joined:
    Dec 10, 2009
    Messages:
    141
    Country:
    Ireland
    I think that this card is different to the r4i-sdhc one and the 1.25b may not be compatable with it.
    Try putting back on the 1.14b (did that work before the system date error?) and put the date on your Dsi back two years. This usually gets rid of the 'sytem date error' message.
     
  7. indask8

    Member indask8 New Member Forever

    Joined:
    Apr 19, 2007
    Messages:
    987
    Location:
    Look at the Flag...
    Country:
    France
    Set your DS date at an older date (like 2009 for exemple) it should work, but of course, the date will not be correct and might block you from using several online games.

    And next time buy something better than an R4 clone especially made for fooling buyers at christmas time...
     
  8. pbsds
    OP

    Newcomer pbsds Member

    Joined:
    Sep 16, 2009
    Messages:
    45
    Location:
    Røros
    Country:
    Norway
  9. pjmorie

    Member pjmorie GBAtemp Regular

    Joined:
    Dec 10, 2009
    Messages:
    141
    Country:
    Ireland
    The 'system date errors' is just an issue with the R4i cards when used on the DSi's. The makers of the R4i-SDHC (kernal 1.25b) say they have fixed the issue with their latetst updates but as you have already discovered that kernal will not work with your R4iSDHC card.

    If you don't really want to go changing the date on the DSi then what you could try is copy all games and their save files from your SD card onto on your computer. Download the 1.14b firmware again from the card's website, format the SD card and then copy the games, save files and newly downloaded kernal again back onto the crad. This usually sorts out the 'system date error' (well on the R4i-SDHC cards) but takes longer than the change date fix.

    There are so many versions of the R4's it's hard to keep track of them all.
     
  10. pbsds
    OP

    Newcomer pbsds Member

    Joined:
    Sep 16, 2009
    Messages:
    45
    Location:
    Røros
    Country:
    Norway
    The kernel i have now is fresh from the zip. and i still wont work in 2010. I guess i'll have to wait for the fix... [​IMG]
     
  11. pjmorie

    Member pjmorie GBAtemp Regular

    Joined:
    Dec 10, 2009
    Messages:
    141
    Country:
    Ireland
    You should still try formatting the SD card. There are usually some extra files created when you use the card for the first time so if you just copy the kernal back onto the SD card these 'created' files don't get updated. It's worth a try.
     

Share This Page